--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: escape
- !ruby/object:RI::MethodSummary 
  name: escape_bytea
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: quote
- !ruby/object:RI::MethodSummary 
  name: translate_results=
- !ruby/object:RI::MethodSummary 
  name: unescape_bytea
comment: 
- !ruby/struct:SM::Flow::P 
  body: The class to access PostgreSQL database.
- !ruby/struct:SM::Flow::P 
  body: "For example, to send query to the database on the localhost:"
- !ruby/struct:SM::Flow::VERB 
  body: "   require 'postgres'\n   conn = PGconn.open('dbname' =&gt; 'test1')\n   res  = conn.exec('select * from a')\n"
- !ruby/struct:SM::Flow::P 
  body: See the PGresult class for information on working with the results of a query.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_OK
  value: INT2FIX(CONNECTION_OK)
- !ruby/object:RI::Constant 
  comment: 
  name: CONNECTION_BAD
  value: INT2FIX(CONNECTION_BAD)
full_name: PGconn
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: async_exec
- !ruby/object:RI::MethodSummary 
  name: async_query
- !ruby/object:RI::MethodSummary 
  name: client_encoding
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: db
- !ruby/object:RI::MethodSummary 
  name: endcopy
- !ruby/object:RI::MethodSummary 
  name: error
- !ruby/object:RI::MethodSummary 
  name: exec
- !ruby/object:RI::MethodSummary 
  name: finish
- !ruby/object:RI::MethodSummary 
  name: get_notify
- !ruby/object:RI::MethodSummary 
  name: getline
- !ruby/object:RI::MethodSummary 
  name: host
- !ruby/object:RI::MethodSummary 
  name: insert_table
- !ruby/object:RI::MethodSummary 
  name: lastval
- !ruby/object:RI::MethodSummary 
  name: lo_create
- !ruby/object:RI::MethodSummary 
  name: lo_export
- !ruby/object:RI::MethodSummary 
  name: lo_import
- !ruby/object:RI::MethodSummary 
  name: lo_open
- !ruby/object:RI::MethodSummary 
  name: lo_unlink
- !ruby/object:RI::MethodSummary 
  name: locreate
- !ruby/object:RI::MethodSummary 
  name: loexport
- !ruby/object:RI::MethodSummary 
  name: loimport
- !ruby/object:RI::MethodSummary 
  name: loopen
- !ruby/object:RI::MethodSummary 
  name: lounlink
- !ruby/object:RI::MethodSummary 
  name: on_notice
- !ruby/object:RI::MethodSummary 
  name: options
- !ruby/object:RI::MethodSummary 
  name: port
- !ruby/object:RI::MethodSummary 
  name: protocol_version
- !ruby/object:RI::MethodSummary 
  name: putline
- !ruby/object:RI::MethodSummary 
  name: query
- !ruby/object:RI::MethodSummary 
  name: reset
- !ruby/object:RI::MethodSummary 
  name: select_one
- !ruby/object:RI::MethodSummary 
  name: select_value
- !ruby/object:RI::MethodSummary 
  name: select_values
- !ruby/object:RI::MethodSummary 
  name: server_version
- !ruby/object:RI::MethodSummary 
  name: set_client_encoding
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: trace
- !ruby/object:RI::MethodSummary 
  name: transaction_status
- !ruby/object:RI::MethodSummary 
  name: tty
- !ruby/object:RI::MethodSummary 
  name: untrace
- !ruby/object:RI::MethodSummary 
  name: user
name: PGconn
superclass: Object
